--
-- Patch DDL de GRHUM du DD/MM/2012 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 3
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.7.1.10
-- Date de publication : 06/06/2012
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
-- Pré-requis : user CSE existant
--
--


WHENEVER SQLERROR EXIT SQL.SQLCODE;


--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.10', TO_DATE('21/06/2012', 'DD/MM/YYYY'),NULL,'Nomenclatures pour CSE');


--
-- ASSOCIATION
--
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, TAS_ID, ASS_CODE, D_OUVERTURE) VALUES (ASSOCIATION_SEQ.NEXTVAL, 'RÉPARTITEUR', 1, 'REPARTITEUR' ,TO_DATE('21/06/2012', 'DD/MM/YYYY'));
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, TAS_ID, ASS_CODE, D_OUVERTURE) VALUES (ASSOCIATION_SEQ.NEXTVAL, 'DIRECTION DES RESSOURCES HUMAINES', 1, 'DRH' ,TO_DATE('21/06/2012', 'DD/MM/YYYY'));



--
-- ASSOCIATION_RESEAU
--
INSERT INTO GRHUM.ASSOCIATION_RESEAU SELECT ASSOCIATION_RESEAU_SEQ.NEXTVAL,A1.ASS_ID,A2.ASS_ID,NULL,NULL,SYSDATE,SYSDATE FROM ASSOCIATION A1, ASSOCIATION A2 WHERE A1.ASS_CODE='FONCTION ADM' AND A2.ASS_CODE='REPARTITEUR';
INSERT INTO GRHUM.ASSOCIATION_RESEAU SELECT ASSOCIATION_RESEAU_SEQ.NEXTVAL,A1.ASS_ID,A2.ASS_ID,NULL,NULL,SYSDATE,SYSDATE FROM ASSOCIATION A1, ASSOCIATION A2 WHERE A1.ASS_CODE='FONCTION ADM' AND A2.ASS_LIBELLE='DRH';



--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.10';


COMMIT;

